de.dhbwstuttgart.typeinference.typedeployment

## Class GenericVarDeclarationPatch

- java.lang.Object
- - de.dhbwstuttgart.typeinference.typedeployment.GenericVarDeclarationPatch

    class GenericVarDeclarationPatch
    extends java.lang.Object

Eine Hilfsklasse zur Einsetzung einer Generischen Variable.

Author:
  janulrich

### Field Summary

Fields
`(package private) TypePlaceholder` `genericVar`

### Constructor Summary

Constructors
Constructor and Description
`GenericVarDeclarationPatch(TypePlaceholder p)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(java.lang.Object o)`
`java.lang.String` `getInsertString(ResultSet resultSet)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### genericVar

    TypePlaceholder genericVar

### Constructor Detail

#### GenericVarDeclarationPatch

    public GenericVarDeclarationPatch(TypePlaceholder p)

### Method Detail

#### getInsertString

    public java.lang.String getInsertString(ResultSet resultSet)

#### equals

    public boolean equals(java.lang.Object o)

Overrides:
  `equals` in class `java.lang.Object`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`